curl --request DELETE \
--url https://api.extole.io/v5/persons/{person_id}/data/{name} \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v5/persons/{person_id}/data/{name}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v5/persons/{person_id}/data/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_date": "2025-10-24T02:00:00-07:00",
"id": "<string>",
"name": "<string>",
"scope": "CLIENT",
"updated_date": "2025-10-24T02:00:00-07:00",
"value": {}
}{
"code": "data_not_found",
"http_status_code": 400,
"message": "Data not found",
"parameters": {},
"unique_id": "00000000-0000-0000-0000-000000000000"
}{
"code": "method_unauthorized",
"http_status_code": 401,
"message": "Unauthorized access to this endpoint",
"parameters": {},
"unique_id": "00000000-0000-0000-0000-000000000000"
}{
"code": "payment_required",
"http_status_code": 402,
"message": "The access_token provided is associated with an unpaid account.",
"parameters": {},
"unique_id": "00000000-0000-0000-0000-000000000000"
}{
"code": "person_not_found",
"http_status_code": 403,
"message": "Person not found",
"parameters": {},
"unique_id": "00000000-0000-0000-0000-000000000000"
}{
"code": "unsupported_media_type",
"http_status_code": 415,
"message": "Request had an unsupported or no media type",
"parameters": {},
"unique_id": "00000000-0000-0000-0000-000000000000"
}{
"code": "too_many_requests",
"http_status_code": 429,
"message": "The server is unable to process your request at the moment, please retry later.",
"parameters": {},
"unique_id": "00000000-0000-0000-0000-000000000000"
}Delete a person data parameter
Permanently deletes the named data parameter for the specified person. Returns 400 data_not_found if the parameter does not exist. Returns 403 person_not_found if the person is not accessible.
Authorizations
Path Parameters
Extole person id.
Name of the data parameter.
Response
Deleted person data parameter.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
Extole-assigned unique identifier for this data parameter entry.
Name of the data parameter.
Visibility scope of the data parameter.
CLIENT, PRIVATE, PUBLIC RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
Value stored for the data parameter.
